/*-----------------------------------------------------
sndeax.h
-----------------------------------------------------*/
#ifndef __SNDEAX_H__
#define __SNDEAX_H__







/*-----------------------------------------------------
					PROTOTYPES
-----------------------------------------------------*/
BOOL fn_bIsEaxAvailable();
void SND_fn_vInitEaxModule(LPDIRECTSOUND	lpDSO);
void SND_fn_vDesInitEaxModule();
void SND_fn_vSetPreset(unsigned long ulNewPreset);
BOOL fn_bGetInterfEAX(LPDIRECTSOUNDBUFFER Buffer2D,LPKSPROPERTYSET *pBufferEAX);
BOOL set_param_eax(LPKSPROPERTYSET pBufferEAX,unsigned char ucReverb,BOOL bReverbable);
#endif